%define git_name	GlobalProtect-openconnect

# Third-party SingleApplication
%define sapp_commit	0f6695e2a9d8fdaa336e7ad941855c46c61f218a
# Third-party Plog
%define plog_commit	fda4a26c26b2d1b2beb68d7b92b56950ec2b8ad2

Name:		openconnect-globalprotect
Version:	1.2.7
Release:	%mkrel 1
Summary:	A GlobalProtect VPN client (GUI) based on OpenConnect, supports SAML auth mode
License:	GPLv3+
Group:		Networking/Other
URL:		https://github.com/yuezk/GlobalProtect-openconnect
Source0:	https://github.com/yuezk/GlobalProtect-openconnect/archive/v%{version}/%{git_name}-%{version}.tar.gz
Source1:	https://github.com/itay-grudev/SingleApplication/archive/%{sapp_commit}.tar.gz
Source2:	https://github.com/SergiusTheBest/plog/archive/%{plog_commit}.tar.gz
Patch0:		openconnect-globalprotect-1.2.7-mga-fix-default-install.patch

BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5WebSockets)

Requires:	openconnect >= 8.0.0

Provides:	globalprotect-openconnect = %{version}-%{release}

%description
A GlobalProtect VPN client (GUI) for Linux based on Openconnect and built
with Qt5, supports SAML auth mode, inspired by gp-saml-gui.

Features:
=========
  * Similar user experience as the official client in macOS.
  * Supports both SAML and non-SAML authentication modes.
  * Supports automatically selecting the preferred gateway from
    the multiple gateways.
  * Supports switching gateway from the system tray menu manually.

%prep
%setup -q -n %{git_name}-%{version} -a1 -a2
%autopatch -p1

# prepare SingleApplication Third-party
mv SingleApplication-%{sapp_commit}/* singleapplication/
rm -rf SingleApplication-%{sapp_commit}/

# prepare Plog Third-party
mv plog-%{plog_commit}/* plog/
rm -rf plog-%{plog_commit}/

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install \
	--remove-key="Version" \
	--remove-category="VPN" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/com.yuezk.qt.gpclient.desktop

%files
%doc README.md
%license LICENSE
%{_bindir}/gpclient
%{_bindir}/gpservice
%{_datadir}/applications/com.yuezk.qt.gpclient.desktop
%{_datadir}/dbus-1/system-services/com.yuezk.qt.GPService.service
%{_datadir}/dbus-1/system.d/com.yuezk.qt.GPService.conf
%{_iconsdir}/hicolor/scalable/apps/com.yuezk.qt.GPClient.svg
%{_unitdir}/gpservice.service


%changelog
* Wed Apr 21 2021 daviddavid <daviddavid> 1.2.7-1.mga8
+ Revision: 1717832
- backport openconnect-globalprotect for mga8

* Wed Apr 21 2021 daviddavid <daviddavid> 1.2.7-1.mga9
+ Revision: 1717820
- initial package openconnect-globalprotect (mga#28821)

